<v-container>
  <v-btn class="mb-5" fab dark small color="indigo" @click="$router.go(-1)">
    <v-icon dark>mdi-arrow-left</v-icon>
  </v-btn>
  <users-table
    :users="this.$store.state.favoriteUsersList"
    @user-selected="handleUserSelection"
    ></users-table>

  <v-dialog v-model="showListCreation" persistent max-width="600px">
    <template v-slot:activator="{ on, attrs }">
      <v-btn elevation="2" outlined class="mt-5" block v-bind="attrs" v-on="on">
	Guardar listado
      </v-btn>
    </template>

    <v-card>
      <v-card-title>
	<span class="text-h5">Nueva lista de favoritos</span>
      </v-card-title>

      <v-card-text>
	<v-container>
	  <v-row>
	    <v-col cols="12">
	      <v-text-field v-model="newListName" label="Nombre*" required>
	      </v-text-field>
	    </v-col>
	  </v-row>
	</v-container>
	<small>*campo requerido</small>
      </v-card-text>

      <v-card-actions>
	<v-spacer></v-spacer>
	<v-btn text @click="showListCreation = false">
	  Cancelar
	</v-btn>
	<v-btn
	  elevation="2"
	  :disabled="!newListName"
	  color="primary"
	  @click="handleNewFavoritesList"
	>
	  Guardar
	</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>

  <download-csv :data="exportedData">
    <v-btn elevation="2" class="mt-5" block>Exportar favoritos</v-btn>
  </download-csv>
</v-container>
